Package org.apache.sling.scripting.jsp.taglib

# Class CallTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.sling.scripting.jsp.taglib.CallTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class CallTag extends javax.servlet.jsp.tagext.TagSupport
The `CallTag` implements the `<sling:call>` custom tag.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`CallTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`void`
`setFlush(boolean flush)`
Sets the flush attribute
`void`
`setIgnoreComponentHierarchy(boolean ignoreComponentHierarchy)`
Set the ignore component hierarchy attribute
`void`
`setPageContext(javax.servlet.jsp.PageContext pageContext)`
`void`
`setScript(String script)`
Sets the script attribute

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallTag

public CallTag()

## Method Details

### doEndTag

public int doEndTag() throws javax.servlet.jsp.JspException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
Throws:
  `javax.servlet.jsp.JspException`

### setPageContext

public void setPageContext(javax.servlet.jsp.PageContext pageContext)

Specified by:
  `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `setPageContext` in class `javax.servlet.jsp.tagext.TagSupport`

### setScript

public void setScript(String script)
Sets the script attribute

Parameters:
  `script` - attribute value

### setFlush

public void setFlush(boolean flush)
Sets the flush attribute

Parameters:
  `flush` - attribute value

### setIgnoreComponentHierarchy

public void setIgnoreComponentHierarchy(boolean ignoreComponentHierarchy)
Set the ignore component hierarchy attribute

Parameters:
  `ignoreComponentHierarchy` - attribute value